#!/usr/local/bin/perl -s
# perl subroutine to convert time in seconds since Jan 1, 1970 UTC to date and 
# time in the form YYYY/MM/DD hh:mm:ss
# Calling sequence:   ($date, $time) = &sec_to_ymdtime (sec);
#                     where date is YYYY/MM/DD and time is hh:mm:ss
#
# akt 8/96


require "timelocal.pl";

sub sec_to_ymdtime
{
	local($sec_in) = $_[0];
	local ($sec,$min,$hour,$day,$mon,$year,$d1,$d2,$d3,$date,$time);

	($sec,$min,$hour,$day,$mon,$year,$d1,$d2,$d3) = gmtime($sec_in);
	if ($year < 1900) {$year = $year + 1900;}
	$date=sprintf ("%4.4d/%2.2d/%2.2d", $year, $mon+1, $day);
	$time=sprintf ("%2.2d:%2.2d:%2.2d", $hour, $min, $sec);
	return ($date, $time);
}
